Get one row (one table)
GET
/collection/{id}/table/{tableKey}/rows/{rowId}
Path Parameters
idstring
required·
Resource id
tableKeystring
required·
Table key; main is the default table.
rowIdstring
required·
Resource id
Response Body
created_atstring
created_bystring,null
fieldsobject
idstring
updated_atstring
updated_bystring,null
curl -X GET 'https://api.elaichi.ai/collection/<id>/table/<tableKey>/rows/<rowId>' \
-H 'Authorization: Bearer $ELAICHI_API_TOKEN' \
-H 'Content-Type: application/json'const response = await fetch('https://api.elaichi.ai/collection/<id>/table/<tableKey>/rows/<rowId>', {
method: 'GET',
headers: {
'Authorization': 'Bearer ' + process.env.ELAICHI_API_TOKEN,
'Content-Type': 'application/json',
},
});
const data = await response.json();
console.log(data);import os
import requests
url = "https://api.elaichi.ai/collection/<id>/table/<tableKey>/rows/<rowId>"
headers = {
"Authorization": f"Bearer {os.environ['ELAICHI_API_TOKEN']}",
"Content-Type": "application/json",
}
response = requests.get(url, headers=headers)
print(response.json())